Bug 512523 - Review Request: graphem - Mouse Gesture based Authentication Program and Screen Locker
Summary: Review Request: graphem - Mouse Gesture based Authentication Program and Scre...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-18 15:14 UTC by Dominic Hopf
Modified: 2009-11-15 19:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-15 19:36:59 UTC
Type: ---
sven: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Dominic Hopf 2009-07-18 15:14:57 UTC
Spec URL: http://dmaphy.fedorapeople.org/graphem/graphem.spec
SRPM URL: http://dmaphy.fedorapeople.org/graphem/graphem-0.2-1.fc11.src.rpm

488dec198225b456be8be0f49b73aeb3  graphem.spec
b745310586d239a50c7f23679c3694be  graphem-0.2-1.fc11.src.rpm

Description: Graphem is a small mouse gesture based authentication program and screen locker program. It stores key patterns in hashed form; can lock the display until the correct pattern is entered; can control login via scripting, e.g. with GDM using auto-login and a PostLogin script; it supports a Touchpad mode for notebook users which allows graphem to accept input without clicking; it keeps track of recognition rate

Comment 1 Ian Weller 2009-07-21 18:38:32 UTC
Sven, if you plan on reviewing this package, please set the bug to 'ASSIGNED' and the fedora-review flag to '?'.

Comment 2 Sven Lankes 2009-07-21 22:33:27 UTC
Two issues:

1. I haven't looked through all files yet but at first glance this package looks a lot like being licensed GPLv2+
2. I'd say that we need at lease some sort of documentation. Maybe a README.Fedora pointing to the website and giving a two sentence introduction?

Comment 3 Dominic Hopf 2009-07-22 14:18:00 UTC
(In reply to comment #2)
> Two issues:
> 
> 1. I haven't looked through all files yet but at first glance this package
> looks a lot like being licensed GPLv2+
You're right. The GPLv2 was based on the COPYING file, but the other files say GPLv2+. I'll change that in the next release.

> 2. I'd say that we need at lease some sort of documentation. Maybe a
> README.Fedora pointing to the website and giving a two sentence introduction?  
I already noticed upstream about the missing documentation and suggested something like a offline html doc. This hopefully will come with version 0.3. I'll talk to upstream to clarify, when graphem 0.3 will be released. I'm not sure but i think it won't take that long. If it takes sudden longer I'll come back to your suggestion and add a README file pointing to the website.

Comment 4 Sven Lankes 2009-07-23 21:30:42 UTC
Oh - while I'm at it - it's a gui-program so it'll need a .desktop-file as per the guidelines.

Comment 5 Dominic Hopf 2009-08-09 09:38:12 UTC
Just to clarify why I didn't upload a new release yet: I already fixed the issue with the license on my machine, but didn't think this small change was it worth to build and upload a new package. For any other issues i triggered upstream and I was told that graphem 0.3 will be available at the end of the coming week. So I think it's better to wait until this release with building and uploading a new package release instead of backporting those fixes for 0.2.
I did *not* forget this issue.

Comment 6 Dominic Hopf 2009-08-15 15:08:57 UTC
Updates available:

Spec URL: http://dmaphy.fedorapeople.org/graphem/graphem.spec
SRPM URL: http://dmaphy.fedorapeople.org/graphem/graphem-0.3-1.fc11.src.rpm

md5sums
a26594c15849b5751484537755205b8d  graphem.spec
da1e204a5950f4f5e01ca5fe382ea74a  graphem-0.3-1.fc11.src.rpm

As I promised this includes an additional README and a .desktop-file from upstream. It also ships a Changelog where additional information on the changes of the program itself can be found.

Comment 7 Sven Lankes 2009-09-06 20:39:05 UTC
Only remaining issue is that you're using a vendor-tag of 'fedora' in desktop-file-install.

I'll approve the review once this is fixed.

Comment 8 Dominic Hopf 2009-09-06 21:49:48 UTC
Spec URL: http://dmaphy.fedorapeople.org/graphem/graphem.spec
SRPM URL: http://dmaphy.fedorapeople.org/graphem/graphem-0.3-3.fc11.src.rpm

md5sums
feca9c1d51d977d6110215635050f8b4  graphem.spec
a5617606668fa120ecac8ed629430ca7  graphem-0.3-3.fc11.src.rpm

This fixes the issue with the vendor tag and adds also a patch which adds the graphem icon to the desktop-file.

Patch URL: http://dmaphy.fedorapeople.org/graphem/graphem-0.3.add-icon-to-desktopfile-00.patch
3e20d525764b03218f15021a36a36afa  graphem-0.3.add-icon-to-desktopfile-00.patch

Comment 9 Dominic Hopf 2009-09-06 22:02:50 UTC
Spec URL: http://dmaphy.fedorapeople.org/graphem/graphem.spec
d2b588f6d84f2aa6950b1fb201e84068  graphem.spec

Removed an unneccesary commented line from the specfile. Packages are the same.

Comment 10 Sven Lankes 2009-09-09 19:11:16 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.                                        
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.                                                             
     Tested on: rawhide/x86_64                                                      
 [x] Rpmlint output:                                                                
source RPM: empty                                                                   
binary RPM:empty                                                                    
 [x] Package is not relocatable.                                                    
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.  License: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 3717045e78de65c566a23bc4c8ee3edcf8b21a89 graphem-0.3.tar.gz
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f11/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

Comment 11 Dominic Hopf 2009-09-09 19:47:33 UTC
New Package CVS Request
=======================
Package Name: graphem
Short Description: Mouse Gesture based Authentication Program and Screen Locker
Owners: dmaphy
Branches: F-11
InitialCC:

Comment 12 Jason Tibbitts 2009-09-11 20:24:33 UTC
CVS done.

Comment 13 Fedora Update System 2009-09-11 22:11:07 UTC
graphem-0.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/graphem-0.3-3.fc11

Comment 14 Fedora Update System 2009-09-15 07:54:19 UTC
graphem-0.3-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update graphem'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9617

Comment 15 Fedora Update System 2009-11-15 18:55:04 UTC
graphem-0.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/graphem-0.3.1-1.fc11

Comment 16 Sven Lankes 2009-11-15 19:36:59 UTC
all done


Note You need to log in before you can comment on or make changes to this bug.